Next: IS_IOSTAT_EOR, Previous: IRAND, Up: Intrinsic Procedures

### 8.131 `IS_IOSTAT_END` — Test for end-of-file value

Description:
  `IS_IOSTAT_END` tests whether an variable has the value of the I/O status “end of file”. The function is equivalent to comparing the variable with the `IOSTAT_END` parameter of the intrinsic module `ISO_FORTRAN_ENV`.
Standard:
  Fortran 2003 and later
Class:
  Elemental function
Syntax:
  `RESULT = IS_IOSTAT_END(I)`
Arguments:

  I | Shall be of the type `INTEGER`.

Return value:
  Returns a `LOGICAL` of the default kind, which `.TRUE.` if I has the value which indicates an end of file condition for `IOSTAT=` specifiers, and is `.FALSE.` otherwise.
Example:

                PROGRAM iostat
                  IMPLICIT NONE
                  INTEGER :: stat, i
                  OPEN(88, FILE='test.dat')
                  READ(88, *, IOSTAT=stat) i
                  IF(IS_IOSTAT_END(stat)) STOP 'END OF FILE'
                END PROGRAM